aterm (1.0.1dummy1) unstable; urgency=medium

  * New sort-of maintainer.  (Closes: #476707).
  * Replace the package with a symlink to rxvt-unicode-256color, for UTF-8
    support (closes: #216302) and schtuff, aterm changes have been long
    since merged.  This fixes all reported bugs (closes: #818568, #476145,
    #461232, #479783, #626988), -/+trsb properly fails (closes: #394474).

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 17 Dec 2016 09:00:21 +0100

aterm (1.0.1-9) unstable; urgency=medium

  * QA upload.
  * Bumped Standards-Version to 3.9.7.
  * Created file debian/clean to remove files created by compilation.
  * debian/control:
    - updated short description the aterm-ml.
    - removed suidmanager the Conflicts field because this package is
      not part of any Debian distribution.
  * debian/copyright:
    - update to format standard machine-readable.
    - updated file.
  * debian/rules:
    - updated to small format.
    - updated to enables hardening options.
    - updated to enable LFS support.
    - compiled a single version of aterm with support for Japanese,
      Chinese, Greek and Thai characters.
  * debian/patches:
    - created patch fix_spelling.
  * debian/watch:
    - upgrade to format 4.
    - updated file.
  * Inserted "set -e" in files debian/*.prerm and debian/*.postinst.
  * Removed the files debian/*.override because are unnecessary.
  * Removed the files debian/*.install because the debian/rules
    file install files.
  * Updated the file debian/aterm-ml.links to the executables katerm,
    taterm, gaterm and their manpages are a link to caterm and its
    manpage.
  * Updated the file debian/aterm-ml.manpages.

 -- Marcio de Souza Oliveira <m.desouza20@gmail.com>  Wed, 09 Mar 2016 20:07:46 -0200

aterm (1.0.1-8) unstable; urgency=low

  * QA upload.
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
  * Update to Standards-Version to 3.9.3.1 and debhelper to 9. Add
    misc:Depends.
  * Add headers to all patches. Note: some patches were updated with
    "quilt refresh" to make patches apply cleanly.
  * Adjust aterm.menu command path.
  * Correct path to GPL in copyright.
  * Add missing build-arch, build-indep rules.
  * Use latest config.* from autotools-dev.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 28 Mar 2012 22:11:44 +0300

aterm (1.0.1-7) unstable; urgency=low

  * QA upload.
  * Add 31_dpy.dpatch to fix problems caused by libafterimage's API & ABI 
    change (closes: #537777).
  * Made libafterimage-dev build dependency versioned.

 -- Robert Luberda <robert@debian.org>  Mon, 20 Jul 2009 23:18:25 +0200

aterm (1.0.1-6) unstable; urgency=low

  * QA upload.
  * Revert previous fix to maintainer scripts, causes regression.
  * Bump Standards Version 3.8.1. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Sun, 05 Apr 2009 10:07:48 -0400

aterm (1.0.1-5) unstable; urgency=low

  * QA upload.
  * Fix update alternatives in maintainer scripts. (Closes: #518962).
    + Thanks to Nicolas Valcarcel for the patch.
  * Bump Standards Version to 3.8.0. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Tue, 10 Mar 2009 11:10:13 -0400

aterm (1.0.1-4) unstable; urgency=low

  * QA upload.
  * Set maintainer to QA group.

 -- Nico Golde <nion@debian.org>  Tue, 06 May 2008 19:51:14 +0200

aterm (1.0.1-3) unstable; urgency=low

  * Fix aterm losing copy&paste buffer after window resize,
    thanks Jason Woofenden (Closes: #456765).
  * Switched from Homepage tag to new Homepage control field.
  * Bumped Standards version, no changes needed.

 -- Nico Golde <nion@debian.org>  Mon, 17 Dec 2007 19:55:30 +0100

aterm (1.0.1-2) unstable; urgency=medium

  * Included 29_fix_deadkeys.dpatch to fix broken deadkeys
    input (Closes: #443811)
  * Bumped urgency since the deadkeys bug breaks a lot of languages.

 -- Nico Golde <nion@debian.org>  Wed, 26 Sep 2007 15:07:37 +0200

aterm (1.0.1-1) unstable; urgency=low

  * New upstream release (Closes: #442033).
  * Fixed broken watch file.
  * Remove Suggests: xfonts-cjk (xfonts-cjk was merged into xfonts-base).
  * Changed menu section to Applications/Terminal Emulators because
    of new menu structure.
  * Reworked 20_cutToBeginningOfLine 27_xlocale_test.dpatch,
    25_superflous_linking.dpatch and
    22_eterm_transparency patches to apply with new version.
  * Removed 23_remove_debugging.dpatch and
    24_background_updates.dpatch, included upstream.
  * Fixed lintian's debian-rules-ignores-make-clean-error.

 -- Nico Golde <nion@debian.org>  Sat, 22 Sep 2007 09:59:57 +0200

aterm (1.0.0-5) unstable; urgency=low

  * New Debian maintainer (Closes: #422358).
  * Fixed copyright file.
  * Added homepage tag.
  * Bumped compat version.
  * Updated watch file to version 3.
  * Added Build-Dependency on librsvg2-dev (Closes: #421983).

 -- Nico Golde <nion@debian.org>  Thu, 10 May 2007 12:21:44 +0200

aterm (1.0.0-4) unstable; urgency=low

  * Patch 28_manpage_bl: Fix the -bl option in the manpage. Thanks to Maru
    Dubshinki for the report (closes: #387965).
  * debian/aterm{,-ml}.postinst: Fix a potentially buggy postinst. Thanks
    to Sam Hocevar for finding this (closes: #390542).

 -- Göran Weinholt <weinholt@debian.org>  Fri,  6 Oct 2006 15:27:52 +0200

aterm (1.0.0-3) unstable; urgency=low

  * debian/copyright: Update upstream location.
  * Install the same documentation in aterm-ml as in aterm (closes:
    #315725).
  * Add libafterimage-dev to the build-dependencies and enable pixmap
    support (closes: #346309).
  * Updated to Standards-Version 3.7.2 (no changes).

 -- Göran Weinholt <weinholt@debian.org>  Thu, 24 Aug 2006 00:07:59 +0200

aterm (1.0.0-2) unstable; urgency=low

  * New patch, 27_xlocale_test: Don't link with libXmu when testing for
    Xlocale. This fixes dead keys and compose (closes: #346523).
  * debian/control: Add libafterimage-dev to Build-Conflicts since it
    can break the build. It will soon be moved to Build-Depends, though.

 -- Göran Weinholt <weinholt@debian.org>  Tue,  7 Feb 2006 19:14:08 +0100

aterm (1.0.0-1) unstable; urgency=low

  * New upstream release (closes: #335157).
    + Fixes "resizing of windows when showing contents is slow"
      (closes: #236166).
  * Patches included upstream: 01_linuxkeys, 02_fontchange_removal,
    03_resize_window_always, 04_shift_insert_outside_window,
    06_mouse_wheel_codes, 07_scrollKey_resource,
    08_manpage_resource_path, 09_specific_resources_before_global,
    11_tt_winsize_fd, 12_child_fd_closed, 13_fix_warnings,
    14_background_crash, 15_scrollttyoutput, 16_uninitialized_keysym,
    18_untbl_manpage, 19_manpage_section.
  * Extracted the part of 17_color_sequences that isn't applied upstream
    yet and made it into 22_eterm_transparency.
  * Update 10_warn_faulty_boolean and 20_cutToBeginningOfLine.
  * New patch 24_background_updates: when changing workspaces, only
    update the background image if it is necessary.
  * New patch, 25_superflous_linking: don't link against libSM, libICE,
    libXext.
  * debian/control:
    + Update to Standards-Version: 3.6.2 (no changes).
    + Remove superflous build-dependencies: libice-dev, libsm-dev,
      libxpm-dev.
  * New patch, 26_manpage_paths: fix file paths in the FILES section of
    aterm(1). Thanks to Sean Finney for reporting this (closes: #338214).

 -- Göran Weinholt <weinholt@debian.org>  Tue,  3 Jan 2006 07:16:46 +0100

aterm (0.4.2-11) unstable; urgency=low

  * debian/control:
    + Put all Build-Depends on one line.
    + Require dpatch 2.0.9 or newer.
  * Patch #18, new: Undo the effects of tbl on aterm.1.
    (Closes: #245427, #297161).
  * Patch #19, new: The manpage title and section were reversed.
  * Patch #20, new: Add support for an XTerm-like cutToBeginningOfLine
    resource, allowing for configuration of what's selected on triple
    click. Thanks to George Cristian Birzan <gcbirzan@wolfheart.ro> for
    this patch. (Closes: #261935).
  * Patch #21, new: changed manpage to mention xrdb instead of
    .Xdefaults etc. (Closes: #250484).

 -- Göran Weinholt <weinholt@debian.org>  Tue, 29 Mar 2005 16:09:35 +0200

aterm (0.4.2-10) unstable; urgency=low

  * Patch #16, new: Finally tracked down the real cause of #96755. Turns
    out it was an uninitialized variable.
  * Patch #17, new: Adds support for some xterm control sequences. This
    includes the sequences that redefine colors, change the cursor,
    pointer, bold, and underline colors, and change the tint.
  * debian/control:
    + Reindented the second paragraph of aterm-ml's description.
    + Updated Maintainer: with my @debian.org address.
    + Corrected build dependencies for the new X library arrangement.
    + Added a build dependency on debhelper.
  * debian/rules:
    + Don't install the outdated files BUGS and TODO.
    + Re-debhelperized. (Hi Alfie!)
    + Reenabled -O2, thanks to patch #16.
    + Build the *aterm's in their own directories.
  * debian/copyright: Added the GPL blurb and detypoed upstream's name.
  * debian/changelog: Enhanced with UTF-8.
  * debian/README.Debian.thai: Removed in favor of upstream's README.thai.
  * debian/caterm: Removed since it is obsolete.
  * debian/katerm.1: Renamed to aterm-ml.1 and slightly reformatted.
  * Rearranged debian/ to make it work with debhelper.

 -- Göran Weinholt <weinholt@debian.org>  Fri, 19 Mar 2004 07:18:13 +0100

aterm (0.4.2-9) unstable; urgency=low

  * Patch #12, updated: Exit with success instead of failure, because
    this new behaviour isn't really a failure. Also, don't call
    clean_exit() if it will be called at exit anyway. (Closes: #216906)
  * Patch #13, new: Fix all compiler warnings.
  * Patch #14, new: Fix a crash that happens if the root pixmap is
    invalid, which is the case sometimes when changing backgrounds in
    Enlightenment.
  * Patch #15, new: Backport a fix from rxvt to invert the behaviour of
    the scrollTtyOutput resource. (Closes: #136679)

 -- Göran Weinholt <weinholt@dtek.chalmers.se>  Sun,  2 Nov 2003 14:44:59 +0100

aterm (0.4.2-8) unstable; urgency=low

  * Begin using dpatch. All the old patches have been organized in
    debian/patches.
  * debian/control: Add dpatch to the build dependencies.
  * debian/rules: Add the necessary dpatch modifications.
  * Patch #05, disabled: the paste problem with licq-qt and aterm seems
    to have been resolved in Qt, so I'm disabling this patch. It may
    have caused other problems.
  * Patch #11, new: Resize the child's pty before we fork(), instead of
    resizing stdin after we've fork()'ed. Fixes a race condition
    especially annoying to Ion users. (Closes: #211455)
  * Patch #12, new: Fix a race condition that would often make aterm
    spin before exiting. This became very visible on Linux 2.6, where it
    could spin for seconds.

 -- Göran Weinholt <weinholt@dtek.chalmers.se>  Sat,  4 Oct 2003 18:27:00 +0200

aterm (0.4.2-7) unstable; urgency=low

  * src/screen.c: Don't call XmbTextListToTextProperty() in
    selection_send(). This allows non-ASCII text to be cut and pasted in
    non-latin1 locales again. Thanks to Bartosz Feński <fenio@o2.pl> for
    reporting this issue. (Closes: #208221)
  * src/command.c: Reverted my fix for #169917, since it caused slowness
    in gnome. (Closes: #207164)
  * debian/{changelog,control}: These files are now valid UTF-8.
    (Closes: #206827)
  * debian/control: Bumped Standards-Version to 3.6.1.

 -- Göran Weinholt <weinholt@dtek.chalmers.se>  Wed, 10 Sep 2003 15:12:22 +0200

aterm (0.4.2-6) unstable; urgency=low

  * New maintainer, thanks Alfie!
  * src/command.c:
    - Implemented proper mouse wheel reporting for mouse aware applications.
      The control codes are the same that xterm use.
    - Comment out a test in the MapNotify handler. Makes transparency work
      when aterm is started on another work space in wmaker. (Closes: #169917)
  * src/screen.c: Take the latest selection_send() from rxvt. This makes
    pasting to licq-qt work. (Closes: #205040)
  * src/xdefaults.c:
    - Renamed the scrollTtyKeypress resource to scrollKey, to be compatible
      with xterm. Updated the documentation, which previously referred to
      scrollKeypress, to reflect the change. (Closes: #136677)
    - Warn if a boolean value can't be parsed as such. (Closes: #82495)
  * debian/rules: Configure with --disable-memset, so that the system's
    memset() will be used instead of the one in src/rmemset.c.
  * debian/control:
    - Removed the autoconf and automake build-deps, since they were not needed.
    - Updated to Standards-Version 3.6.0, no changes needed.

 -- Göran Weinholt <weinholt@dtek.chalmers.se>  Tue, 12 Aug 2003 09:56:23 +0200

aterm (0.4.2-5) unstable; urgency=low

  * The "happy 30th birthday, Alfie" release.
  * Updated to policy 3.5.7, no changes needed.
  * Fixed documentation wrt/ compile settings (closes: #126878)
  * All the following nice birthday present patches were sent in by Göran
    Weinholt (many thanks!):
    - make shift insert work if mouse isn't in window, too (closes: #77338)
    - don't let aterm forget to redraw every now and then (closes: #126877)
    - commented out font_change_count lines which resolves the background grab
      problem on font change (closes: #150801)

 -- Gerfried Fuchs <alfie@debian.org>  Tue, 06 May 2003 16:43:29 +0200

aterm (0.4.2-4) unstable; urgency=low

  * New maintainer.  Thank you Jordi for the good work so far!
  * Added watch file.
  * Reworked debian/rules to be able to live without debhelper:
    - Don't install aterm.html anymore, it's just a copy of the manpage.
    - Don't do a $(MAKE) install anymore, we replace everything anyway.
    - gzip -9 atermRef.html also, way too large and most browsers support
      gnuzipped files anyway.
  * debian/control:
    - Updated to policy 3.5.7.
    - Removed Build-Depends: debhelper
    - Stated in the aterm-ml description that only Chinese Big5 is useable.

 -- Gerfried Fuchs <alfie@debian.org>  Thu, 19 Sep 2002 13:00:01 +0200

aterm (0.4.2-3) unstable; urgency=low

  * src/xdefaults.c: applied patch from Geoff Wing which binds
    specific X resources before global resources (closes: #105656).
  * debian/{aterm-ml,}docs: removed README.configure.
  * debian/changelog: removed emacs cruft.
  * debian/rules: removed dh_make cruft.

 -- Jordi Mallach <jordi@debian.org>  Fri,  8 Feb 2002 22:44:33 +0100

aterm (0.4.2-2) unstable; urgency=low

  * debian/rules: delete crufty "scripts/random-colors" in the
    clean target.
  * src/command.c: remove translation of Home/End patch.
  * src/feature.h: comment out LINUX_KEYS, this fixes Home/End for
    TERM=rxvt, which is now the default for aterm (closes: #112403).
  * Restoring of screen after exiting ncurses programs works ok with
    TERM=rxvt (closes: #110914).

 -- Jordi Mallach <jordi@debian.org>  Wed, 19 Sep 2001 16:29:01 +0200

aterm (0.4.2-1) unstable; urgency=low

  * New upstream release.
  * This version includes all our patches except the Home and End
    translations.
  * debian/docs: README.Unix98PTY moved to docs/.

 -- Jordi Mallach <jordi@debian.org>  Thu,  6 Sep 2001 19:22:33 +0200

aterm (0.4.0-9) unstable; urgency=medium

  * src/command.c: fixed (hopefully) pseudo-terminal detection, using
    getpt() in glibc systems. This should make aterm work on GNU/HURD;
    patch from Gergely Nagy <algernon@debian.org> (closes: #111221).
    As a side effect, it also fixes GNU/Linux systems without
    CONFIG_UNIX98_PTYS enabled in the kernel! (closes: #75080)
    Ok, Steve Kowalik, owner of the Weird Kernel, helped with
    testing too :)

 -- Jordi Mallach <jordi@debian.org>  Tue,  4 Sep 2001 18:50:17 +0200

aterm (0.4.0-8) unstable; urgency=low

  * src/command: applied patch from Eric Benoit <eric@ecks.org>, which
    adds the "CSI 21 t" control sequence, for title handling.
  * debian/rules: configure aterm with --enable-background-image to
    enable -pixmap, which should be on by default, but... (closes: #105660).
    You can now chose a pixmap to set as an aterm background.

 -- Jordi Mallach <jordi@debian.org>  Wed, 22 Aug 2001 17:26:31 +0200

aterm (0.4.0-7) unstable; urgency=HIGH

  * src/command.c: fixed a buffer overflow, from the rxvt advisory
    in BugTraq. I wasn't able to make aterm segfault, but just in
    case...
  * debian/{,aterm-ml.}postinst: raise the priority of aterm in
    the x-terminal-emulator alternative from 10 to 20, as the new
    policy mandates.
  * debian/control: Standards-Version: 3.5.5.0.

 -- Jordi Mallach <jordi@debian.org>  Sat, 16 Jun 2001 23:30:14 +0200

aterm (0.4.0-6) unstable; urgency=low

  * Ok, since 0.4.0-1, if you backspaced and then typed accents
    (and maybe other chars), aterm would do more backspacing.
    Finally found that removing gcc optimization (-O2) fixes this.
    Any idea of how should I debug that welcome (closes: #96755).

 -- Jordi Mallach <jordi@debian.org>  Wed, 17 May 2001 17:20:36 +0200

aterm (0.4.0-5) unstable; urgency=low

  * debian/rules: DH_COMPAT=3, removed dh_testversion calls.
  * debian/control:
    + Standards-Version: 3.5.4.0 (no changes)
    + removed libtools from Build-Depends, upped the debhelper version
  * src/commands.c: fixed Home and End translations, they should work
    properly now. Thanks to Edward Bloch for the hint which helped solving
    this.

 -- Jordi Mallach <jordi@debian.org>  Wed,  3 May 2001 15:49:20 +0200

aterm (0.4.0-4) unstable; urgency=low

  * Applied a patch from Chanop Silpa-Anan <chanop@debian.org> and
    Teepanis Chachiyo <teepanis@physics.purdue.edu> which adds Thai
    support in Aterm. A new binary, taterm, is included in aterm-ml.
  * debian/control:
    + Standards-Version: 3.5.2.0
    + add a version to debhelper's Build-Depend.
    + uncut the Suggests line so some scripts don't break when parsing it.
  * debian/links: add a link from aterm.1 to aterm-xterm.1.
  * debian/*.docs: remove INSTALL.

 -- Jordi Mallach <jordi@debian.org>  Thu,  8 Mar 2001 14:08:38 +0100

aterm (0.4.0-3) unstable; urgency=low

  * suidmanager -> dpkg-statoverride transition:
    + debian/control: Conflicts: suidmanager (<< 0.50)
    + debian/{postinst's,prerm's}: remove suidmanager cruft.
    + debian/rules: sgid utmp binaries manually.

 -- Jordi Mallach <jordi@debian.org>  Thu, 11 Jan 2001 00:24:39 +0100

aterm (0.4.0-2) unstable; urgency=low

  * debian/rules:
    + configure with --enable-fading per user request. Thanks Kevin!
      (closes: #77644)
    + replaced `pwd` shell calls with GNU make's $(CURDIR).
    + DH_COMPAT=2, install aterm in debian/aterm.
  * debian/control:
    + Standards-Version: 3.2.1.0.
    + no longer Suggests: menu.
    + updated Build-Depends for X4.

 -- Jordi Mallach <jordi@debian.org>  Mon, 27 Nov 2000 20:49:02 +0100

aterm (0.4.0-1) unstable; urgency=low

  * Introduces aterm-ml, containing binaries for Kanji, Chinese (Big5)
    and Greek support. Brian Mays did nearly all the work in his rxvt-ml
    package (closes: #43975, reported long before aterm was in Debian).
  * debian/control:
    + added Build-Depends, Suggests: menu and Provides: x-terminal-emulator.
    + aterm-ml: added new package entry.
  * debian/docs: added four missing documents.
  * debian/{postinst,prerm}:
    + add alternative for x-terminal-emulator and aterm. The new normal
      binary is "aterm-xterm".
    + make the binaries setuid utmp.
  * Apply patch from Chris Leishman <caleishm@freeonline.com.au> for
    utmp/wtmp enabled builds. Thank you! (closes: #70476).
  * Moved the binaries and manpages out of /usr/X11R6.
  * debian/menu: new -ml entries, updates for new paths.
  * debian/rules:
    + install doc/aterm.pretbl as aterm.1.
    + configure with --enable-xgetdefault, trying to fix #70481.
    + support for DEB_BUILD_OPTIONS debug and nostrip added.
  * debian/katerm.1: install manpage by Ryuichi Arafune.
  * debian/copyright: updated download information, added more precise
    copyright info.

 -- Jordi Mallach <jordi@debian.org>  Tue, 11 Jul 2000 11:26:12 +0200

aterm (0.4.0-0) unstable; urgency=low

  * New upstream release.
  * New Maintainer. Thanks for the first upload, Shaleh.
  * Compiled without utmp support until some problems are fixed upstream.
  * aterm-ml will be added in the next revision, hopefully.

 -- Jordi Mallach <jordi@debian.org>  Mon,  3 Jul 2000 14:35:48 +0200

aterm (0.3.6-0) unstable; urgency=low

  * Initial Release.

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Tue, 30 May 2000 15:07:30 -0700
